/*===========================================================================*/
/*   (Unsafe/uuid.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/uuid.scm -indent -o objs/obj_u/Unsafe/uuid.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___UUID_TYPE_DEFINITIONS
#define BGL___UUID_TYPE_DEFINITIONS
#endif													// BGL___UUID_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_list1728z00zz__uuidz00 = BUNSPEC;
	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl_requirezd2initializa7ationz75zz__uuidz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__uuidz00(long,
		char *);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__uuidz00(void);
	static obj_t BGl_genericzd2initzd2zz__uuidz00(void);
	static obj_t BGl_vector1727z00zz__uuidz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__uuidz00(void);
	static obj_t BGl_objectzd2initzd2zz__uuidz00(void);
	static obj_t BGl_methodzd2initzd2zz__uuidz00(void);
	extern long bgl_current_seconds(void);
	extern obj_t make_string_sans_fill(long);
	BGL_EXPORTED_DECL obj_t BGl_genuuidz00zz__uuidz00(void);
	static obj_t BGl_z62genuuidz62zz__uuidz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genuuidzd2envzd2zz__uuidz00,
		BgL_bgl_za762genuuidza762za7za7_1729z00, BGl_z62genuuidz62zz__uuidz00, 0L,
		BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_list1728z00zz__uuidz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__uuidz00));
		     ADD_ROOT((void *) (&BGl_vector1727z00zz__uuidz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__uuidz00(long
		BgL_checksumz00_2483, char *BgL_fromz00_2484)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__uuidz00))
				{
					BGl_requirezd2initializa7ationz75zz__uuidz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__uuidz00();
					BGl_cnstzd2initzd2zz__uuidz00();
					return BGl_methodzd2initzd2zz__uuidz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			BGl_list1728z00zz__uuidz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '0')),
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '1')),
					MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '2')),
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '3')),
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '4')),
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '5')),
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '6')),
										MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '7')),
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '8')),
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '9')),
													MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'a')),
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'b')),
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'c')),
																MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'd')),
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'e')),
																		MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																					'f')), BNIL))))))))))))))));
			return (BGl_vector1727z00zz__uuidz00 =
				BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
				(BGl_list1728z00zz__uuidz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* genuuid */
	BGL_EXPORTED_DEF obj_t BGl_genuuidz00zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 83 */
			{	/* Unsafe/uuid.scm 86 */
				obj_t BgL_hexz00_1234;

				BgL_hexz00_1234 = BGl_vector1727z00zz__uuidz00;
				{	/* Unsafe/uuid.scm 91 */
					long BgL_n1z00_1236;
					long BgL_n2z00_1237;
					long BgL_n3z00_1238;
					long BgL_n4z00_1239;
					long BgL_n5z00_1240;
					long BgL_n6z00_1241;
					long BgL_n7z00_1242;
					long BgL_n8z00_1243;

					{	/* Unsafe/uuid.scm 91 */
						long BgL_arg1331z00_1309;
						long BgL_arg1332z00_1310;

						{	/* Unsafe/uuid.scm 91 */
							long BgL_tmpz00_2525;

							BgL_tmpz00_2525 = bgl_current_seconds();
							BgL_arg1331z00_1309 = (long) (BgL_tmpz00_2525);
						}
						{	/* Unsafe/uuid.scm 91 */
							int BgL_arg1528z00_1801;

							BgL_arg1528z00_1801 = rand();
							BgL_arg1332z00_1310 =
								BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
								(long) (BgL_arg1528z00_1801), 65536L);
						}
						BgL_n1z00_1236 = (BgL_arg1331z00_1309 ^ BgL_arg1332z00_1310);
					}
					{	/* Unsafe/uuid.scm 92 */
						int BgL_arg1528z00_1805;

						BgL_arg1528z00_1805 = rand();
						BgL_n2z00_1237 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1805), 65536L);
					}
					{	/* Unsafe/uuid.scm 93 */
						int BgL_arg1528z00_1807;

						BgL_arg1528z00_1807 = rand();
						BgL_n3z00_1238 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1807), 65536L);
					}
					{	/* Unsafe/uuid.scm 94 */
						int BgL_arg1528z00_1809;

						BgL_arg1528z00_1809 = rand();
						BgL_n4z00_1239 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1809), 65536L);
					}
					{	/* Unsafe/uuid.scm 95 */
						int BgL_arg1528z00_1811;

						BgL_arg1528z00_1811 = rand();
						BgL_n5z00_1240 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1811), 65536L);
					}
					{	/* Unsafe/uuid.scm 96 */
						int BgL_arg1528z00_1813;

						BgL_arg1528z00_1813 = rand();
						BgL_n6z00_1241 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1813), 65536L);
					}
					{	/* Unsafe/uuid.scm 97 */
						int BgL_arg1528z00_1815;

						BgL_arg1528z00_1815 = rand();
						BgL_n7z00_1242 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1815), 65536L);
					}
					{	/* Unsafe/uuid.scm 98 */
						int BgL_arg1528z00_1817;

						BgL_arg1528z00_1817 = rand();
						BgL_n8z00_1243 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1528z00_1817), 65536L);
					}
					{	/* Unsafe/uuid.scm 99 */
						obj_t BgL_g1041z00_1244;

						BgL_g1041z00_1244 = make_string_sans_fill(36L);
						{	/* Unsafe/uuid.scm 101 */
							unsigned char BgL_arg1198z00_1245;

							{	/* Unsafe/uuid.scm 101 */
								long BgL_arg1199z00_1246;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2554;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2554 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1199z00_1246 =
										((BgL_n1z00_1236 >> (int) (12L)) & BgL_tmpz00_2554);
								}
								BgL_arg1198z00_1245 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1199z00_1246));
							}
							STRING_SET(BgL_g1041z00_1244, 0L, BgL_arg1198z00_1245);
						}
						{	/* Unsafe/uuid.scm 102 */
							unsigned char BgL_arg1201z00_1247;

							{	/* Unsafe/uuid.scm 102 */
								long BgL_arg1204z00_1248;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2564;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2564 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1204z00_1248 =
										((BgL_n1z00_1236 >> (int) (8L)) & BgL_tmpz00_2564);
								}
								BgL_arg1201z00_1247 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1204z00_1248));
							}
							STRING_SET(BgL_g1041z00_1244, 1L, BgL_arg1201z00_1247);
						}
						{	/* Unsafe/uuid.scm 103 */
							unsigned char BgL_arg1205z00_1249;

							{	/* Unsafe/uuid.scm 103 */
								long BgL_arg1206z00_1250;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2574;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2574 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1206z00_1250 =
										((BgL_n1z00_1236 >> (int) (4L)) & BgL_tmpz00_2574);
								}
								BgL_arg1205z00_1249 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1206z00_1250));
							}
							STRING_SET(BgL_g1041z00_1244, 2L, BgL_arg1205z00_1249);
						}
						{	/* Unsafe/uuid.scm 104 */
							unsigned char BgL_arg1207z00_1251;

							{	/* Unsafe/uuid.scm 104 */
								long BgL_arg1208z00_1252;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2584;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2584 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1208z00_1252 =
										((BgL_n1z00_1236 >> (int) (0L)) & BgL_tmpz00_2584);
								}
								BgL_arg1207z00_1251 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1208z00_1252));
							}
							STRING_SET(BgL_g1041z00_1244, 3L, BgL_arg1207z00_1251);
						}
						{	/* Unsafe/uuid.scm 105 */
							unsigned char BgL_arg1209z00_1253;

							{	/* Unsafe/uuid.scm 105 */
								long BgL_arg1211z00_1254;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2594;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2594 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1211z00_1254 =
										((BgL_n2z00_1237 >> (int) (12L)) & BgL_tmpz00_2594);
								}
								BgL_arg1209z00_1253 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1211z00_1254));
							}
							STRING_SET(BgL_g1041z00_1244, 4L, BgL_arg1209z00_1253);
						}
						{	/* Unsafe/uuid.scm 106 */
							unsigned char BgL_arg1213z00_1255;

							{	/* Unsafe/uuid.scm 106 */
								long BgL_arg1214z00_1256;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2604;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2604 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1214z00_1256 =
										((BgL_n2z00_1237 >> (int) (8L)) & BgL_tmpz00_2604);
								}
								BgL_arg1213z00_1255 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1214z00_1256));
							}
							STRING_SET(BgL_g1041z00_1244, 5L, BgL_arg1213z00_1255);
						}
						{	/* Unsafe/uuid.scm 107 */
							unsigned char BgL_arg1217z00_1257;

							{	/* Unsafe/uuid.scm 107 */
								long BgL_arg1218z00_1258;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2614;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2614 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1218z00_1258 =
										((BgL_n2z00_1237 >> (int) (4L)) & BgL_tmpz00_2614);
								}
								BgL_arg1217z00_1257 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1218z00_1258));
							}
							STRING_SET(BgL_g1041z00_1244, 6L, BgL_arg1217z00_1257);
						}
						{	/* Unsafe/uuid.scm 108 */
							unsigned char BgL_arg1219z00_1259;

							{	/* Unsafe/uuid.scm 108 */
								long BgL_arg1220z00_1260;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2624;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2624 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1220z00_1260 =
										((BgL_n2z00_1237 >> (int) (0L)) & BgL_tmpz00_2624);
								}
								BgL_arg1219z00_1259 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1220z00_1260));
							}
							STRING_SET(BgL_g1041z00_1244, 7L, BgL_arg1219z00_1259);
						}
						STRING_SET(BgL_g1041z00_1244, 8L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 111 */
							unsigned char BgL_arg1221z00_1261;

							{	/* Unsafe/uuid.scm 111 */
								long BgL_arg1222z00_1262;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2635;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2635 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1222z00_1262 =
										((BgL_n3z00_1238 >> (int) (12L)) & BgL_tmpz00_2635);
								}
								BgL_arg1221z00_1261 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1222z00_1262));
							}
							STRING_SET(BgL_g1041z00_1244, 9L, BgL_arg1221z00_1261);
						}
						{	/* Unsafe/uuid.scm 112 */
							unsigned char BgL_arg1223z00_1263;

							{	/* Unsafe/uuid.scm 112 */
								long BgL_arg1224z00_1264;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2645;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2645 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1224z00_1264 =
										((BgL_n3z00_1238 >> (int) (8L)) & BgL_tmpz00_2645);
								}
								BgL_arg1223z00_1263 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1224z00_1264));
							}
							STRING_SET(BgL_g1041z00_1244, 10L, BgL_arg1223z00_1263);
						}
						{	/* Unsafe/uuid.scm 113 */
							unsigned char BgL_arg1225z00_1265;

							{	/* Unsafe/uuid.scm 113 */
								long BgL_arg1226z00_1266;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2655;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2655 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1226z00_1266 =
										((BgL_n3z00_1238 >> (int) (4L)) & BgL_tmpz00_2655);
								}
								BgL_arg1225z00_1265 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1226z00_1266));
							}
							STRING_SET(BgL_g1041z00_1244, 11L, BgL_arg1225z00_1265);
						}
						{	/* Unsafe/uuid.scm 114 */
							unsigned char BgL_arg1228z00_1267;

							{	/* Unsafe/uuid.scm 114 */
								long BgL_arg1232z00_1268;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2665;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2665 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1232z00_1268 =
										((BgL_n3z00_1238 >> (int) (0L)) & BgL_tmpz00_2665);
								}
								BgL_arg1228z00_1267 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1232z00_1268));
							}
							STRING_SET(BgL_g1041z00_1244, 12L, BgL_arg1228z00_1267);
						}
						STRING_SET(BgL_g1041z00_1244, 13L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 99 */
							unsigned char BgL_tmpz00_2676;

							BgL_tmpz00_2676 = CCHAR(VECTOR_REF(BgL_hexz00_1234, 4L));
							STRING_SET(BgL_g1041z00_1244, 14L, BgL_tmpz00_2676);
						}
						{	/* Unsafe/uuid.scm 118 */
							unsigned char BgL_arg1234z00_1270;

							{	/* Unsafe/uuid.scm 118 */
								long BgL_arg1237z00_1271;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2680;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2680 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1237z00_1271 =
										((BgL_n4z00_1239 >> (int) (8L)) & BgL_tmpz00_2680);
								}
								BgL_arg1234z00_1270 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1237z00_1271));
							}
							STRING_SET(BgL_g1041z00_1244, 15L, BgL_arg1234z00_1270);
						}
						{	/* Unsafe/uuid.scm 119 */
							unsigned char BgL_arg1240z00_1272;

							{	/* Unsafe/uuid.scm 119 */
								long BgL_arg1241z00_1273;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2690;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2690 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1241z00_1273 =
										((BgL_n4z00_1239 >> (int) (4L)) & BgL_tmpz00_2690);
								}
								BgL_arg1240z00_1272 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1241z00_1273));
							}
							STRING_SET(BgL_g1041z00_1244, 16L, BgL_arg1240z00_1272);
						}
						{	/* Unsafe/uuid.scm 120 */
							unsigned char BgL_arg1242z00_1274;

							{	/* Unsafe/uuid.scm 120 */
								long BgL_arg1244z00_1275;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2700;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2700 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1244z00_1275 =
										((BgL_n4z00_1239 >> (int) (0L)) & BgL_tmpz00_2700);
								}
								BgL_arg1242z00_1274 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1244z00_1275));
							}
							STRING_SET(BgL_g1041z00_1244, 17L, BgL_arg1242z00_1274);
						}
						STRING_SET(BgL_g1041z00_1244, 18L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 123 */
							unsigned char BgL_arg1246z00_1276;

							{	/* Unsafe/uuid.scm 123 */
								long BgL_arg1247z00_1277;

								{	/* Unsafe/uuid.scm 123 */
									long BgL_tmpz00_2711;

									{	/* Unsafe/uuid.scm 89 */
										long BgL_tmpz00_2712;

										{	/* Unsafe/uuid.scm 89 */

											BgL_tmpz00_2712 = ((1L << (int) (2L)) - 1L);
										}
										BgL_tmpz00_2711 =
											((BgL_n5z00_1240 >> (int) (12L)) & BgL_tmpz00_2712);
									}
									BgL_arg1247z00_1277 = (BgL_tmpz00_2711 | 8L);
								}
								BgL_arg1246z00_1276 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1247z00_1277));
							}
							STRING_SET(BgL_g1041z00_1244, 19L, BgL_arg1246z00_1276);
						}
						{	/* Unsafe/uuid.scm 124 */
							unsigned char BgL_arg1249z00_1279;

							{	/* Unsafe/uuid.scm 124 */
								long BgL_arg1250z00_1280;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2723;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2723 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1250z00_1280 =
										((BgL_n5z00_1240 >> (int) (8L)) & BgL_tmpz00_2723);
								}
								BgL_arg1249z00_1279 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1250z00_1280));
							}
							STRING_SET(BgL_g1041z00_1244, 20L, BgL_arg1249z00_1279);
						}
						{	/* Unsafe/uuid.scm 126 */
							unsigned char BgL_arg1252z00_1281;

							{	/* Unsafe/uuid.scm 126 */
								long BgL_arg1253z00_1282;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2733;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2733 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1253z00_1282 =
										((BgL_n5z00_1240 >> (int) (4L)) & BgL_tmpz00_2733);
								}
								BgL_arg1252z00_1281 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1253z00_1282));
							}
							STRING_SET(BgL_g1041z00_1244, 21L, BgL_arg1252z00_1281);
						}
						{	/* Unsafe/uuid.scm 127 */
							unsigned char BgL_arg1254z00_1283;

							{	/* Unsafe/uuid.scm 127 */
								long BgL_arg1256z00_1284;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2743;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2743 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1256z00_1284 =
										((BgL_n5z00_1240 >> (int) (0L)) & BgL_tmpz00_2743);
								}
								BgL_arg1254z00_1283 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1256z00_1284));
							}
							STRING_SET(BgL_g1041z00_1244, 22L, BgL_arg1254z00_1283);
						}
						STRING_SET(BgL_g1041z00_1244, 23L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 130 */
							unsigned char BgL_arg1257z00_1285;

							{	/* Unsafe/uuid.scm 130 */
								long BgL_arg1259z00_1286;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2754;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2754 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1259z00_1286 =
										((BgL_n6z00_1241 >> (int) (12L)) & BgL_tmpz00_2754);
								}
								BgL_arg1257z00_1285 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1259z00_1286));
							}
							STRING_SET(BgL_g1041z00_1244, 24L, BgL_arg1257z00_1285);
						}
						{	/* Unsafe/uuid.scm 131 */
							unsigned char BgL_arg1260z00_1287;

							{	/* Unsafe/uuid.scm 131 */
								long BgL_arg1265z00_1288;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2764;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2764 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1265z00_1288 =
										((BgL_n6z00_1241 >> (int) (8L)) & BgL_tmpz00_2764);
								}
								BgL_arg1260z00_1287 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1265z00_1288));
							}
							STRING_SET(BgL_g1041z00_1244, 25L, BgL_arg1260z00_1287);
						}
						{	/* Unsafe/uuid.scm 132 */
							unsigned char BgL_arg1275z00_1289;

							{	/* Unsafe/uuid.scm 132 */
								long BgL_arg1276z00_1290;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2774;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2774 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1276z00_1290 =
										((BgL_n6z00_1241 >> (int) (4L)) & BgL_tmpz00_2774);
								}
								BgL_arg1275z00_1289 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1276z00_1290));
							}
							STRING_SET(BgL_g1041z00_1244, 26L, BgL_arg1275z00_1289);
						}
						{	/* Unsafe/uuid.scm 133 */
							unsigned char BgL_arg1277z00_1291;

							{	/* Unsafe/uuid.scm 133 */
								long BgL_arg1279z00_1292;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2784;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2784 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1279z00_1292 =
										((BgL_n6z00_1241 >> (int) (0L)) & BgL_tmpz00_2784);
								}
								BgL_arg1277z00_1291 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1279z00_1292));
							}
							STRING_SET(BgL_g1041z00_1244, 27L, BgL_arg1277z00_1291);
						}
						{	/* Unsafe/uuid.scm 134 */
							unsigned char BgL_arg1281z00_1293;

							{	/* Unsafe/uuid.scm 134 */
								long BgL_arg1282z00_1294;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2794;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2794 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1282z00_1294 =
										((BgL_n7z00_1242 >> (int) (12L)) & BgL_tmpz00_2794);
								}
								BgL_arg1281z00_1293 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1282z00_1294));
							}
							STRING_SET(BgL_g1041z00_1244, 28L, BgL_arg1281z00_1293);
						}
						{	/* Unsafe/uuid.scm 135 */
							unsigned char BgL_arg1283z00_1295;

							{	/* Unsafe/uuid.scm 135 */
								long BgL_arg1284z00_1296;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2804;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2804 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1284z00_1296 =
										((BgL_n7z00_1242 >> (int) (8L)) & BgL_tmpz00_2804);
								}
								BgL_arg1283z00_1295 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1284z00_1296));
							}
							STRING_SET(BgL_g1041z00_1244, 29L, BgL_arg1283z00_1295);
						}
						{	/* Unsafe/uuid.scm 136 */
							unsigned char BgL_arg1285z00_1297;

							{	/* Unsafe/uuid.scm 136 */
								long BgL_arg1287z00_1298;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2814;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2814 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1287z00_1298 =
										((BgL_n7z00_1242 >> (int) (4L)) & BgL_tmpz00_2814);
								}
								BgL_arg1285z00_1297 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1287z00_1298));
							}
							STRING_SET(BgL_g1041z00_1244, 30L, BgL_arg1285z00_1297);
						}
						{	/* Unsafe/uuid.scm 137 */
							unsigned char BgL_arg1289z00_1299;

							{	/* Unsafe/uuid.scm 137 */
								long BgL_arg1291z00_1300;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2824;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2824 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1291z00_1300 =
										((BgL_n7z00_1242 >> (int) (0L)) & BgL_tmpz00_2824);
								}
								BgL_arg1289z00_1299 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1291z00_1300));
							}
							STRING_SET(BgL_g1041z00_1244, 31L, BgL_arg1289z00_1299);
						}
						{	/* Unsafe/uuid.scm 138 */
							unsigned char BgL_arg1292z00_1301;

							{	/* Unsafe/uuid.scm 138 */
								long BgL_arg1294z00_1302;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2834;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2834 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1294z00_1302 =
										((BgL_n8z00_1243 >> (int) (12L)) & BgL_tmpz00_2834);
								}
								BgL_arg1292z00_1301 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1294z00_1302));
							}
							STRING_SET(BgL_g1041z00_1244, 32L, BgL_arg1292z00_1301);
						}
						{	/* Unsafe/uuid.scm 139 */
							unsigned char BgL_arg1322z00_1303;

							{	/* Unsafe/uuid.scm 139 */
								long BgL_arg1323z00_1304;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2844;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2844 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1323z00_1304 =
										((BgL_n8z00_1243 >> (int) (8L)) & BgL_tmpz00_2844);
								}
								BgL_arg1322z00_1303 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1323z00_1304));
							}
							STRING_SET(BgL_g1041z00_1244, 33L, BgL_arg1322z00_1303);
						}
						{	/* Unsafe/uuid.scm 140 */
							unsigned char BgL_arg1324z00_1305;

							{	/* Unsafe/uuid.scm 140 */
								long BgL_arg1325z00_1306;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2854;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2854 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1325z00_1306 =
										((BgL_n8z00_1243 >> (int) (4L)) & BgL_tmpz00_2854);
								}
								BgL_arg1324z00_1305 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1325z00_1306));
							}
							STRING_SET(BgL_g1041z00_1244, 34L, BgL_arg1324z00_1305);
						}
						{	/* Unsafe/uuid.scm 141 */
							unsigned char BgL_arg1327z00_1307;

							{	/* Unsafe/uuid.scm 141 */
								long BgL_arg1330z00_1308;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_tmpz00_2864;

									{	/* Unsafe/uuid.scm 89 */

										BgL_tmpz00_2864 = ((1L << (int) (4L)) - 1L);
									}
									BgL_arg1330z00_1308 =
										((BgL_n8z00_1243 >> (int) (0L)) & BgL_tmpz00_2864);
								}
								BgL_arg1327z00_1307 =
									CCHAR(VECTOR_REF(BgL_hexz00_1234, BgL_arg1330z00_1308));
							}
							STRING_SET(BgL_g1041z00_1244, 35L, BgL_arg1327z00_1307);
						}
						return BgL_g1041z00_1244;
					}
				}
			}
		}

	}



/* &genuuid */
	obj_t BGl_z62genuuidz62zz__uuidz00(obj_t BgL_envz00_2481)
	{
		{	/* Unsafe/uuid.scm 83 */
			return BGl_genuuidz00zz__uuidz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return BUNSPEC;
		}

	}

#ifdef __cplusplus
}
#endif
